package org.jeecg.modules.apiService;

import io.swagger.annotations.ApiOperation;
import org.jeecg.common.api.vo.Result;
import org.jeecg.modules.apiBean.PageBean;
import org.jeecg.modules.employJob.entity.EmployJob;
import org.springframework.web.bind.annotation.RequestHeader;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RequestMethod;

public interface JobService {

    //工作信息-查询工作信息列表
    public Result<?> queryJobList(EmployJob employJob, PageBean pageBean);

    //工作信息-根据Id查看工作详情
    public Result<?> queryJobById(@RequestHeader("X-Access-Token")String token, String jobId);

    //工作信息-我的发布
    public Result<?> queryJobListByUserId(@RequestHeader("X-Access-Token")String token, PageBean pageBean);

    //工作信息-添加工作信息
    public Result<?> addJob(@RequestHeader("X-Access-Token")String token, EmployJob employJob);

    //工作信息-修改工作信息
    public Result<?> updateJob(@RequestHeader("X-Access-Token")String token, EmployJob employJob);

    //工作信息-删除工作信息
    public Result<?> deleteJob(@RequestHeader("X-Access-Token")String token, String jobId);

}
